Bug 1575985 - Duplicate imports of oslo_config types
Summary: Duplicate imports of oslo_config types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: z3
: 12.0 (Pike)
Assignee: Lee Yarwood
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks: 1575987 1575989
TreeView+ depends on / blocked
 
Reported: 2018-05-08 13:33 UTC by Lee Yarwood
Modified: 2019-09-09 16:00 UTC (History)
11 users (show)

Fixed In Version: openstack-nova-16.0.4-13.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1575987 (view as bug list)
Environment:
Last Closed: 2018-08-20 12:55:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lee Yarwood 2018-05-08 13:33:08 UTC
Description of problem:

Accidentally introduced when via #1570941 and its associated backports.

$ tox -e pep8
[..]
./nova/conf/libvirt.py:27:1: F811 redefinition of unused 'types' from line 25

Comment 1 Lon Hohberger 2018-05-22 10:37:01 UTC
According to our records, this should be resolved by openstack-nova-16.0.4-15.el7ost.  This build is available now.

Comment 5 errata-xmlrpc 2018-08-20 12:55:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2332


Note You need to log in before you can comment on or make changes to this bug.